• 4846阅读
  • 2回复

[提问]Qt5.0-VS2010安装 [复制链接]

上一主题 下一主题
离线weilp
 
只看楼主 倒序阅读 楼主  发表于: 2012-12-28
关键词: QT5
昨天下载安装了最新的QT5.0,由于下载的是官方已经编译好的版本,安装的过程很顺利,但是安装完后,我打开原来在Qt4.8.4 + Creator 2.6.1下写的工程编译,就发现出现了很多cannot open include <QApplicaton>;cannot open include <QLabel>这样的错误,查了下工具链的设置,是没有问题的,用这个creator新建个工程也是没有问题的,但原来的这个工程就是不行,网上有人说在pro中加上 greaterThan(QT_MAJOR_VERSION,4):QT+=widgets这句,加完后还是同样的问题,不知道有谁遇到过相同的问题?顺便问一下,这些greaterThan的宏定义在哪里呢?
离线XChinux

只看该作者 1楼 发表于: 2012-12-28
qmake自己的。
有没有nmake distclean?
先将之前的编译清除了。
3条评分贡献值+1金钱+3威望+1
华仔cpp 贡献值 +1 - 2014-08-15
华仔cpp 威望 +1 - 2014-08-15
华仔cpp 金钱 +3 - 2014-08-15
二笔 openSUSE Vim N9 BB10 XChinux@163.com 网易博客 腾讯微博
承接C++/Qt、Qt UI界面、PHP及预算报销系统开发业务
离线toby520

只看该作者 2楼 发表于: 2013-01-07
LNK1123: 转换到 COFF 期间失败: 文件无效或损坏 QT5.0 vs2010编译一个demo报错了,求高手指点
QtQML多多指教开发社区 http://qtclub.heilqt.com
将QtCoding进行到底
关注移动互联网,关注金融
开发跨平台客户端,服务于金融行业
专业定制界面
群号:312125701   373955953(qml控件定做)
快速回复
限100 字节
 
上一个 下一个